aboutsummaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorlcapriotti <lcapriotti@svn>2010-11-10 15:52:54 +0000
committerlcapriotti <lcapriotti@svn>2010-11-10 15:52:54 +0000
commit1fba6b1703c54a19ab199c1df56c90b57bb3a849 (patch)
treecbf516891904d29371306fe9435e2e51c144ed2e /tools
parent721ac3b34c21b99f6dd938c407a7e1d1bbb5d614 (diff)
updated dependency list
git-svn-id: https://xbmc.svn.sourceforge.net/svnroot/xbmc/trunk@35238 568bbfeb-2a22-0410-94d2-cc84cf5bfa90
Diffstat (limited to 'tools')
-rwxr-xr-xtools/XBMCLive/SDK/build.sh26
1 files changed, 13 insertions, 13 deletions
diff --git a/tools/XBMCLive/SDK/build.sh b/tools/XBMCLive/SDK/build.sh
index b7fb17840c..5572b97721 100755
--- a/tools/XBMCLive/SDK/build.sh
+++ b/tools/XBMCLive/SDK/build.sh
@@ -22,10 +22,10 @@
echo
echo "Checking availability of required packages..."
-REQUIREDPACKAGES=( git-core debootstrap asciidoc docbook-xsl curl build-essential debhelper autoconf automake autotools-dev)
+REQUIREDPACKAGES=( git-core debootstrap asciidoc docbook-xsl curl build-essential debhelper autoconf automake autotools-dev curl subversion unzip)
NOTINSTALLED=()
-for k in "${REQUIREDPACKAGES[@]}" ; do
+for k in "${REQUIREDPACKAGES[@]}" ; do
if [ "$( dpkg -l | grep "ii" | grep "$k" )" = "" ] ; then
NOTINSTALLED+=($k)
fi
@@ -33,12 +33,12 @@ done
if [ ${#NOTINSTALLED[@]} -gt 0 ]; then
echo
- echo "FATAL: the following packages are missing, exiting."
- for k in "${NOTINSTALLED[@]}"; do
- echo " $k";
- done
- exit 1
-fi
+ echo "FATAL: the following packages are missing, exiting."
+ for k in "${NOTINSTALLED[@]}"; do
+ echo " $k";
+ done
+ exit 1
+fi
#
# Make sure only root can run our script
@@ -52,10 +52,10 @@ cleanup()
{
if [ -n "$WORKPATH" ]; then
if [ -z "$KEEP_WORKAREA" ]; then
- echo "Cleaning workarea..."
+ echo "Cleaning workarea..."
rm -rf $WORKPATH
if [ -f $THISDIR/binary.iso ]; then
- chmod 777 $THISDIR/binary.*
+ chmod 777 $THISDIR/binary.*
fi
echo "All clean"
fi
@@ -78,7 +78,7 @@ export WORKDIR
echo ""
if [ -d "$WORKPATH" ]; then
- echo "Cleaning workarea..."
+ echo "Cleaning workarea..."
rm -rf $WORKPATH
fi
mkdir $WORKPATH
@@ -87,7 +87,7 @@ if ls $THISDIR/binary.* > /dev/null 2>&1; then
rm -rf $THISDIR/binary.*
fi
-echo "Creating new workarea..."
+echo "Creating new workarea..."
# cp all (except svn directories) into workarea
rsync -r -l --exclude=.svn --exclude=$WORKDIR . $WORKDIR
@@ -96,7 +96,7 @@ if ! which lb > /dev/null ; then
cd $WORKPATH/Tools
if [ ! -d live-build ]; then
if [ ! -f live-build.tar ]; then
- git clone git://live.debian.net/git/live-build.git
+ git clone git://live.debian.net/git/live-build.git
if [ "$?" -ne "0" ]; then
exit 1
fi